# Järjestikliides <small>(Arti Zirk)<small><br><small><small>selle standardiseerimine ja kasutus</small></small>

## Mis on järjestikliides?

Järjestikliides on andmevahetus liides kus andmeid saadetakse üks bit korraga.

Klassikalise RS-232 liini puhul näeb signaal välja midagi sellist kui saadetakse
300bit/s kiirusel ascii tähte **r**.
![r tähe joonis rs232 liinil](r-tahe-joonis.png)

## Järjestikliideste tüübid

On olemas erinevaid standardeid järjestikliideste jaoks millest vanim neist on
[RS-232] mis kasutab ühte signaali juhet andmete edastamiseks. Inglise keeles on
sellise signaalimise nimi [Single-ended signaling]. RS-232 kasutab signaalimiseks
pinget ±12V mis nõuab üsna keerukat toiteahelat ning suurtel kiirustel toob kaasa
suure energiakulu.[1]

[RS-485] on veel üks populaarne standard serial ühenduste jaoks. Erinevalt
RS-232-st kasutab RS-485 [diferentsiaal signaalimist] mis nõuab vähem energiat
ning on immuunsem mürale. See omakord võimaldab RS-485 liini peal saavutada 
palju suuremaid kiiruseid kui on võimalik RS-232 ühenduse korral. Üks eripära
mis RS-485-l veel on see, et RS-485 võimaldab ühe liini külge ühendada mitmeid
seadmeid, RS-232 on mõeldud ainult point-to-point ehk ühelt seadmelt teisele
seadmele ühenduste loomiseks.

## Järjestikliideste kasutusalad

RS-232 liides oli vaikimisi mõeldud modemite ja terminali seadmete omavahel 
ühendamiseks. Hiljem asendati terminalid arvutitega. Praeguseks on RS-232 
kasutusel põhiliselt erinevate seadmete seadistus konsoolile ligi pääsemiseks, 
näiteks Cisco seadmed. Natuke teistsuguse signaalimis nivoodega (TTL või siis 
täna päeval rohkem juba 3.3v ning väiksemate pingetega) kasutatakse seriali ka
üsna palju integreeritud seadmete ja mini arvutite debugimis pordina
tänu tema lihtsusele

RS-485 on näiteks tänapäeval jätkuvalt kasutusel igasugustes multidrop ja 
töökindlust vajavates olukordades nagu näiteks kaugjuhitavad [DMX] valgustid
ja sensorite võrgustikud või siis isegi targamaja lahendused nagu [S-Bus]

## Moodsad järjestikliidesed

Tänapäeval kõige populaarseim järjestikliides on [Universal Serial Bus] ehk siis
kõigile tuttav USB. USB kasutab palju keerulisemat signaalimis standardit kui
RS-232 standard aga ta võimaldab ka kiiremaid andmedastus kiiruseid ja
seadmete automaatset tuvastus mida RS-232 ei toeta sest ta oli algselt ainult
mõeldud teksti edastamiseks terminali ja modemi vahel.

Jadaühendusi leiab ka igalt poolt mujalt nagu näiteks Ethernet, PCI-Express, SATA
SPI, I2C ja veel.

[RS-232]: https://en.wikipedia.org/wiki/RS-232
[Single-ended signaling]:https://en.wikipedia.org/wiki/Single-ended_signaling
[1]: https://en.wikipedia.org/wiki/RS-232#Limitations_of_the_standard
[diferentsiaal signaalimist]: https://en.wikipedia.org/wiki/Differential_signalin
[RS-485]: https://en.wikipedia.org/wiki/RS-485
[DMX]: https://en.wikipedia.org/wiki/DMX512
[S-Bus]: https://en.wikipedia.org/wiki/S-Bus
[Universal Serial Bus]: https://en.wikipedia.org/wiki/USB
