#!/usr/bin/env python3

import numpy as np
import matplotlib.pyplot as plt
import scipy.fftpack

# Number of samplepoints
N = 600
# sample spacing
T = 1.0 / 800.0
x = np.linspace(0.0, N*T, N)
y = 70*np.sin((900*np.pi*2)*np.pi*x)
yf = scipy.fftpack.fft(y)
xf = np.linspace(0.0, 1.0/(2.0*T), N/2)

#fig, ax = plt.subplots()
#ax.plot(xf, 2.0/N * np.abs(yf[:N/2]))

#_, bx = plt.subplots()
#t = np.arange(0.0, 0.001, 0.00001)
#bx.plot(t, 70*np.sin((900*np.pi*2)*np.pi*t))



Fs = 2000.0;  # sampling rate
Ts = 1.0/Fs; # sampling interval
t = np.arange(0,1,Ts) # time vector

ff = 900;   # frequency of the signal
y = np.sin(2*np.pi*ff*t)

n = len(y) # length of the signal
k = np.arange(n)
T = n/Fs
frq = k/T # two sides frequency range
frq = frq[:n/2] # one side frequency range

Y = np.fft.fft(y)*0.07 # fft computing and normalization
Y = Y[:n/2]

_, bx = plt.subplots()
print(dir(bx))
axes = plt.gca()
axes.set_xlim([500,1200])
axes.set_ylim([0,80])
bx.plot(frq,abs(Y),'b')



plt.show()

